#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "queensBackend.h"
#define N 8

int main (int argc, char *argv[]) {
  int rows, columns;

  if (argc<1 || argc>2) {
    printf("The number of parameters is not correct (usage queens-solve [N])");
    return 0;
  } else if (argc==1) {
    rows = N;
    columns = N;
  } else if (argc==2) {
    rows = atoi(argv[1]);
    columns = rows;
    if (rows<1 && rows>10) {
      printf("The value of N is not correct");
      printf(" (it must be a numeric value between 1 and 10)");
      return 0;
    }
  }

  readSATsolutionFromSolverOutput(rows, columns);
  return 0;
}
